jQuery('.label-animation').each(function () {
  if (jQuery(this).is('input[type="date"]')) {
    jQuery(this).wrap('<div class="label-animation"></div>');
    jQuery('<label>' + jQuery(this).attr('placeholder') + '</label>').insertAfter(this);
  } else
    if (jQuery(this).is('input') || jQuery(this).is('textarea')) {
      jQuery(this).wrap('<div class="label-animation"></div>');
      jQuery('<label>' + jQuery(this).attr('placeholder') + '</label>').insertAfter(this);
    } else if (jQuery(this).is('select')) {
      jQuery(this).find("option:first").addClass("label d-none").val('');
      jQuery(this).wrap('<div class="label-animation"></div>');
      jQuery('<label>' + jQuery(this).find('option.label').text() + '</label>').insertAfter(this);
      if (jQuery(this).val() == '') {
        jQuery(this).parent().addClass('hide');
      }
    }
  if (jQuery(this).val() == '') {
    jQuery(this).parent().removeClass('active');
  } else {
    jQuery(this).parent().addClass('active');
  }
}).on('change', function () {
  if (jQuery(this).is('select')) {
    jQuery(this).parent().addClass('select-active');
  }
  if (jQuery(this).val() == '') {
    jQuery(this).parent().removeClass('active');
  } else {
    jQuery(this).parent().removeClass('hide');
    jQuery(this).parent().addClass('active');
  }
}).on('focus', function () {
  jQuery(this).parent().addClass('active').addClass('focus');
}).on('focusout', function () {
  jQuery(this).parent().removeClass('focus');
  if (jQuery(this).val() == '') {
    jQuery(this).parent().removeClass('active');
  }
});